/* HUD */
.bg-video{
  position: fixed;
  inset: 0;
  width: 100%;
  height: 100%;
  object-fit: cover;

  z-index: -1;
  pointer-events: none;
}



.hud{
  padding: 0;
  margin-bottom: 16px;
}

.hud-box{
  width: fit-content;
  border: 2px solid var(--line);
  background: var(--bg2);
  padding: 14px 16px;
  border-radius: 15px;
}



.hud-info-row{
  display: grid;
  grid-template-columns: 1fr;
  gap: 10px;
  margin-top: 10px;

}

.hud-buttons{
  display: block;
  width: 100%;
}

/* Works Grid */
.works{
  display: grid;
  gap: 16px;
  grid-template-columns: repeat(auto-fit,minmax(300px, 1fr));
}

/* Tablet: 1 pro Row */
@media (max-width: 600px){
  .works{
    grid-template-columns: 1fr;
  }
  .mobile-title{
    color: #15ff00 !important;
    text-shadow: 0 0 8px #15ff00, 0 0 16px #15ff00;
  }
  .btn span{
    color: #15ff00;
    text-shadow: 0 0 6px #15ff00;
  }
}

/* Gross: max 3 pro Row */
@media (min-width: 1200px){
  .works{
    grid-template-columns: repeat(3, minmax(0, 1fr));
  }
}

.work-card{
  border: 2px solid var(--line);
  background: var(--panel);
  padding: 14px 14px 12px;

  height: 400px;
  display: flex;
  align-items: center;
  justify-content: center;
  text-align: center;
  flex-direction: column;
  gap: 16px;

  border-radius: 40px;

  overflow: hidden;

  position: relative;
  transition: transform 140ms ease, background 140ms ease, border-color 140ms ease;
  filter: grayscale(100%);
  opacity: 0.8;
}
.work-title{
  position: relative;
  z-index: 2;
  color: var(--fg);     
}

/* .work-card::after{
  content: "";
  position: absolute;
  inset: 0;
  z-index: 1;
  background: linear-gradient(
    to top,
    rgba(0,0,0,0.75),
    rgba(0,0,0,0.25) 55%,
    rgba(0,0,0,0.00)
  );
  pointer-events: none;
}

 */
.work-card:hover,
.work-card.mobile-active{
  border-color: var(--fg);
  transform: translateY(-2px);
  filter: grayscale(0%);
  opacity: 100%;
}

.work-card.mobile-active .work-title{
  color: #15ff00;
  text-shadow: 0 0 8px #15ff00, 0 0 16px #15ff00;
}

.work-media{
  overflow: hidden;
  position: absolute;
  inset:0;
  z-index: 0;

}

.work-media img{
  width: 100%;
  height: 100%;
  object-fit: cover;
  position:relative;
  z-index: 2;
  opacity: 0.95;
  transition: filter 160ms ease, opacity 160ms ease;
}

.work-card[data-href="perception_layers.html"] .work-media img{
  transform: scale(1.2);
}

/* 4K: grössere Karten */
@media (min-width: 2000px){
  .work-card{
    height: 800px;
  }
}

